<Controls>
  <ControlName>Combobox</ControlName>
  <Template>QComboBox</Template>
  <Lib>Winapi</Lib>
  <Type>Listen</Type>
  <InitScript>widget = qtw.createButton("HALLO");</InitScript>
  <PreviewX>x</PreviewX>
  <PreviewY>y</PreviewY>
  <PreviewWidth>width</PreviewWidth>
  <PreviewHeight>height</PreviewHeight>

  <InitCode>dim as HWND name = CreateWindowEx( 0, _
                           @"COMBOBOX", _
                           0, _
                           WS_CHILD or WS_VISIBLE or CBS_DROPDOWN , _
                           x, _
                           y, _
                           width, _
                           height, _
                           Parent, _
                           NULL, _
                           hInstance, _
                           NULL )
  SendMessage(name,WM_SETFONT,GetStockObject(DEFAULT_GUI_FONT),TRUE)
  </InitCode>

  <Property>
    <Name>name</Name>
    <Type>string</Type>
    <MustHave>true</MustHave>
    <Default>Button</Default>
    <Tooltip>Interner Name des Controls</Tooltip>
  </Property>
  

  <Property>
    <Name>x</Name>
    <Type>integer</Type>
    <MustHave>false</MustHave>
    <Default>0</Default>
    <Min>0</Min>
    <Max>3000</Max>
    <Tooltip>X-Position des Fensters</Tooltip>
    <ScriptValueChange>widget2.moveWidget(new_value,y);</ScriptValueChange>
  </Property>


  <Property>
    <Name>y</Name>
    <Type>integer</Type>
    <MustHave>false</MustHave>
    <Default>0</Default>
    <Min>0</Min>
    <Max>3000</Max>
    <Tooltip>Y-Position des Fensters</Tooltip>
    <ScriptValueChange>widget2.moveWidget(x,new_value)</ScriptValueChange>
  </Property>

  <Property>
    <Name>width</Name>
    <Type>integer</Type>
    <MustHave>false</MustHave>
    <Default>100</Default>
    <Min>0</Min>
    <Max>3000</Max>
    <Tooltip>Breite des Fensters</Tooltip>
    <ScriptValueChange>widget2.resizeWidget(new_value,height)</ScriptValueChange>
  </Property>
 
  <Property>
    <Name>height</Name>
    <Type>integer</Type>
    <MustHave>false</MustHave>
    <Default>60</Default>
    <Min>0</Min>
    <Max>3000</Max>
    <Tooltip>Höhe des Fensters</Tooltip>
    <ScriptValueChange>widget2.resizeWidget(width,new_value)</ScriptValueChange>
  </Property>
</Controls>